package com.kingdee.eas.custom.bill.salary;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.framework.CoreBillBase;
import java.lang.String;
import com.kingdee.eas.custom.bill.salary.app.*;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class PayPacket extends CoreBillBase implements IPayPacket
{
    public PayPacket()
    {
        super();
        registerInterface(IPayPacket.class, this);
    }
    public PayPacket(Context ctx)
    {
        super(ctx);
        registerInterface(IPayPacket.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("2676510E");
    }
    private PayPacketController getController() throws BOSException
    {
        return (PayPacketController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public PayPacketCollection getPayPacketCollection() throws BOSException
    {
        try {
            return getController().getPayPacketCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public PayPacketCollection getPayPacketCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPayPacketCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public PayPacketCollection getPayPacketCollection(String oql) throws BOSException
    {
        try {
            return getController().getPayPacketCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public PayPacketInfo getPayPacketInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPayPacketInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public PayPacketInfo getPayPacketInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPayPacketInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public PayPacketInfo getPayPacketInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPayPacketInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}